Dear Friends,
pt = [[0, 0, 0], [2, 0, 0], [4, 0, 0], [6, 0, 0], [8, 0, 0], [10, 0, 0]]
rpt = [[0, 8, 0], [2, 8, 0], [4, 8, 0], [6, 8, 0], [8, 8, 0], [10, 8, 0]]
grp = Sketchup.active_model.active_entities.add_group
for i in 0...5
face = grp.entities.add_face [rpt[i], pt[i], pt[i + 1], rpt[i + 1]]
face.reverse! if face.normal == [0, 0, -1]
face.pushpull i + 1
face = grp.entities.add_face [rpt[i], pt[i], pt[i + 1], rpt[i + 1]]
face.reverse! if face.normal == [0, 0, 1]
end
grp.entities.grep(Sketchup::Edge) do |e|
e.erase! if e.faces.first.normal == e.faces.last.normal
end
You can see result in attached picture.
As you can see in picture some edges not deleted!!! Can you help me for this problem?
Thank you in advance.